diff --git a/ntoskrnl/guid.c b/ntoskrnl/guid.c
index 4e21994..31cc462 100644
--- a/ntoskrnl/guid.c
+++ b/ntoskrnl/guid.c
@@ -4,6 +4,5 @@
 #include <initguid.h>
 #include <batclass.h>
 #include <poclass.h>
-#include <diskguid.h>
 
 /* NO CODE HERE, THIS IS JUST REQUIRED FOR THE GUID DEFINITIONS */
diff --git a/ntoskrnl/include/ntoskrnl.h b/ntoskrnl/include/ntoskrnl.h
index c03dc5d..384a4e0 100644
--- a/ntoskrnl/include/ntoskrnl.h
+++ b/ntoskrnl/include/ntoskrnl.h
@@ -33,7 +33,6 @@
 #include <ntdef.h>
 #include <ntifs.h>
 #include <wdmguid.h>
-#include <diskguid.h>
 #include <arc/arc.h>
 #include <mountmgr.h>
 #undef NTHALAPI

